Create a plugin

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/plugins

Create a plugin. Send the fields of the new row in JSON. You must be an administrator.

application/json

Body Required

  • plugin_id string Required
  • name string Required
  • version string Required
  • maintainer_name string Required
  • maintainer_email string(email)
  • website string(uri)
  • license string Required
  • revision string
  • description string
  • icon string

    Name of a lucide icon

  • frontend_project_enabled boolean

    Show the plugin in the project pages

  • frontend_studio_enabled boolean

    Show the plugin in the studio pages

Responses

  • 201 application/json

    The new plugin

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • plugin_id string
    • version string
    • frontend_project_enabled boolean
    • frontend_studio_enabled boolean
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

POST /data/plugins
curl -X POST "http://api.example.com/data/plugins" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Plugin Name",
  "active": false
}'
import requests

url = "http://api.example.com/data/plugins"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Plugin Name",
    "active": false
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "plugin_id": "my-plugin",
  "name": "Plugin Name",
  "version": "1.0.0",
  "maintainer_name": "John Doe",
  "maintainer_email": "john.doe@example.com",
  "website": "https://example.com",
  "license": "MIT",
  "revision": "a1b2c3d",
  "description": "Adds a custom view",
  "icon": "puzzle",
  "frontend_project_enabled": true,
  "frontend_studio_enabled": true
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "Plugin Name",
  "plugin_id": "my-plugin",
  "version": "1.0.0",
  "frontend_project_enabled": false,
  "frontend_studio_enabled": false,
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}